Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoVRMLSensor Class Reference

`#include <Inventor/VRMLnodes/SoVRMLSensor.h>`

Inheritance diagram for SoVRMLSensor:

List of all members.

## Detailed Description

The SoVRMLSensor class is an abstract superclass for VRML sensors.

## Static Public Member Functions
void | initClass (void)
## Public Attributes
SoSFBool | isActive
SoSFBool | enabled

## Member Function Documentation

void SoVRMLSensor::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoNode. Reimplemented in SoVRMLCylinderSensor, SoVRMLDragSensor, SoVRMLPlaneSensor, and SoVRMLSphereSensor.

The documentation for this class was generated from the following files:

- SoVRMLSensor.h
- Sensor.cpp